{% load static %}
{% load custom_tags %}

<div class="card">
   <!-- Page Select Dropdown -->
   <div class="card-body p-3">
      <div class="row">
         <div class="col-xl-6 col-lg-12 col-md-12 col-sm-12 col-12">
            <div id="pipeline">
               <!-- Page Select Dropdown -->
               <select data-allow-clear="1" id="select2PageType">
               </select>
               <div class="mt-4" id="pdf-page"></div>
            </div>
         </div>
         <div class="col-xl-6 col-lg-12 col-md-12 col-sm-12 col-12">
            <div>
               <nav>
                  <div class="d-flex" id="extractedTableTabs">
                     <ul class="nav nav-tabs flex-grow-1 flex-nowrap" role="tablist">
                        <li class="nav-item">
                           <a aria-controls="nav-BS" aria-selected="true"
                              class="nav-item nav-link active autoChangerPdfPage" data-toggle="tab" href="#nav-BS"
                              id="nav-tab-BS" role="tab">{{ "Balance Sheet"|get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</a>
                        </li>
                        <li class="nav-item">
                           <a aria-controls="nav-IS" aria-selected="false" class="nav-item nav-link autoChangerPdfPage"
                              data-toggle="tab" href="#nav-IS" id="nav-tab-IS" role="tab">{{ "Income Statement"|get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</a>
                        </li>
                        <li class="nav-item">
                           <a aria-controls="nav-CS" aria-selected="false" class="nav-item nav-link autoChangerPdfPage"
                              data-toggle="tab" href="#nav-CS" id="nav-tab-CS" role="tab">{{ "Cashflow Statement"|get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</a>
                        </li>
                     </ul>
                     <div class="ml-auto text-nowrap border border-top-0 border-left-0 border-right-0">
                        <div class="btn-group text-nowrap">
                           <button aria-expanded="false" aria-haspopup="true"
                              class="btn btn-sm btn-outline-secondary dropdown-toggle" data-toggle="dropdown"
                              type="button">
                              <i aria-hidden="true" class="fa fa-cog"></i>
                              <span>{{ "Actions"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</span>
                           </button>
                           <div class="dropdown-menu">
                              <div class="form-check mx-1">
                                 <input checked class="form-check-input" id="PDF_Page_change_checkbox" type="checkbox"
                                    value="">
                                 <label class="form-check-label" for="PDF_Page_change_checkbox">
                                    {{"Auto Page Change"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}
                                 </label>
                              </div>

                           </div>
                           <button type="button" class="btn btn-sm btn-outline-secondary ml-3" onclick="getCSVTable()">
                              <i class="fas fa-file-download text-primary pr-1"></i>
                              <span>{{"CSV"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</span>
                           </button>
                        </div>
                     </div>
                  </div>
                  <div class="mt-2 text-nowrap text-right">
                     <button class="btn btn-sm btn-outline-secondary" id="table-editor-button">
                        <i class="fas fa-file-signature text-primary pr-1"></i>
                        <span>{{"Edit Table"| get_label_lang:request.session.LANGUAGE_SESSION_KEY}}</span>
                     </button>
                     <span id="edit_table_buttons"></span>
                  </div>
                  <div class="mt-2 text-nowrap text-right">
                     <span id="unit_currency" class="text-capitalize"></span>
                  </div>
               </nav>
               <div class="tab-content" id="extractedTableTabs-tabContent">
                  <div aria-labelledby="nav-tab-BS" class="tab-pane fade show active" id="nav-BS" role="tabpanel">
                     <div id="balanceSheetTable"></div>
                  </div>
                  <div aria-labelledby="nav-tab-IS" class="tab-pane fade" id="nav-IS" role="tabpanel">
                     <div id="incomeStatementTable"></div>
                  </div>
                  <div aria-labelledby="nav-tab-CS" class="tab-pane fade" id="nav-CS" role="tabpanel">
                     <div id="cashflowStatementTable"></div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
{% block local_js %}
<script src="{% static 'scripts/editableTable.js' %}" integrity="sha384-GO7VLbzTeZFXWHxinjoxx0bchk/rYvh2dK84KghShZbkuOq+mjBhPXbgHpa7U5xO" crossorigin="anonymous"></script>
<script src="{% static 'scripts/table2csv.js' %}" integrity="sha384-SP7MW0pxCFFgVjYxlSm9tafC74J26xRdcTNdn7JOCHb1m9hyPjh13d8Gkx8MKxPj" crossorigin="anonymous"></script>
<script src="https://cdn.ckeditor.com/ckeditor5/29.0.0/classic/ckeditor.js" integrity="sha512-9CuZi+hhXmT0SSjbeq0Xm8adOokh//gPIhNwA9I0ks9t9F3AoWounHRolea588Dcqjk2zv2oWLsTuV2qd0qiQA==" crossorigin="anonymous"></script>
{% endblock %}